import 'package:auto_route/auto_route.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mnemo_cards/features/stories/stories_page.dart';

class StoriesWidget extends StatefulWidget {
  final double width;
  final double height;

  const StoriesWidget({required this.width, required this.height, super.key});

  @override
  State<StatefulWidget> createState() => _StoriesWidgetState();
}

class _StoriesWidgetState extends State<StoriesWidget> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        AutoRouter.of(context).pushWidget(StoriesPage());
      },
      child: SizedBox(
        width: widget.width,
        height: widget.height,
        child: Container(
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(32.0),
            border: Border.all(
              color: Colors.blue,
              width: 4.0,
            ),
          ),
          child: Center(
            child: Text('Story'),
          ),
        ),
      ),
    );
  }
}
